Get Setting
curl --request GET \
--url https://api.example.com/cabinet/admin/settings/{key} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.example.com/cabinet/admin/settings/{key}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.example.com/cabinet/admin/settings/{key}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"key": "<string>",
"name": "<string>",
"category": {
"key": "<string>",
"label": "<string>"
},
"type": "<string>",
"is_optional": true,
"has_override": true,
"current": "<unknown>",
"original": "<unknown>",
"read_only": false,
"choices": [
{
"value": "<unknown>",
"label": "<string>",
"description": "<string>"
}
],
"hint": {
"description": "",
"format": "",
"example": "",
"warning": ""
}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Admin Settings
Get Setting
Get a specific setting by key.
GET
/
cabinet
/
admin
/
settings
/
{key}
Get Setting
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Response
Successful Response
Full setting definition with current state.
Reference to category.
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Setting hints and guidance.
Show child attributes
Show child attributes
⌘I
